2 rongatyantai rongatyantai 于 2014.02.16 11:53 提问

在CentOS中升级Python的库问题

我用的系统是Linux的CentOS版本,它自带了python环境,是2.6的,我安装的软件需要2.7的环境,下载了python的tar包。一路.configure,make,make install下来,python安装完了,并在/usr/bin里建立了软连接指向/usr/local/bin下的python2.7,我运行python,环境变成2.7的了。但是我发现执行以下的语句不能导入包IMAP4_SSL,from imaplib import IMAP4_SSL。这个在windows下安装完是可以执行的,请问是不是python的库文件没调到?我刚接触linux,不是很了解,希望大家给扫盲了

2个回答

oyljerry
oyljerry   Ds   Rxr 2014.12.26 21:24

这些第三方库需要用2.7的python重新安装一遍

wizardyhnr
wizardyhnr   2016.05.13 06:48

anaconda是王道

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!